import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:legacy_shared/src/data/models/entities/device_entity.dart';

final selectedDeviceProvider = NotifierProvider<SelectedDeviceNotifier, DeviceEntity?>(
  SelectedDeviceNotifier.new,
);

class SelectedDeviceNotifier extends Notifier<DeviceEntity?> {

  @override
  DeviceEntity? build() {
    return null;
  }

  void setSelectedDevice(DeviceEntity device) {
    state = device;
  }
}
